#include <stdlib.h>
#include <stdio.h>

int main(void){
	int piece = 2;
	float vingt = 0.2;
	float un = 0.01;
	float prix;
	int nombre_piece = 0;
	int nombre_vingt = 0;
	int nombre_un = 0;
	float paiement;
	printf("Combien avez vous payé ? :");
	scanf("%f",&prix);
	paiement = prix*100 - 549;
	while(paiement >= 200) {
		nombre_piece = nombre_piece + 1;
		paiement = paiement - 200;
	}
	while (paiement > 20){
		nombre_vingt = nombre_vingt + 1;
		paiement = paiement - 20;
	}
	while (paiement >= 1){
		nombre_un = nombre_un+1;
		paiement = paiement - 1;
	}
printf("nombre de piece de 2 à rendre : %d\n",nombre_piece);
printf("nombre de piece de vingt centimes à rendre %d\n",nombre_vingt);
printf("nombre de piece de un à rendre : %d\n",nombre_un); 
return EXIT_SUCCESS;
}
